Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.common.automate
Interface AuthorizedKeysFormat

All Known Implementing Classes:
  OpenSSHAuthorizedKeysFormat, SSH2AuthorizedKeysFormat, SshtoolsAuthorizedKeysFormat

public interface AuthorizedKeysFormat

DOCUMENT ME!

Method Summary
`byte[]` | `format(AuthorizedKeys keys)` DOCUMENT ME!
`byte[]` | `format(AuthorizedKeys keys, AuthorizedKeysFileSaver saver)` DOCUMENT ME!
`boolean` | `requiresKeyFiles()` DOCUMENT ME!
`AuthorizedKeys` | `unformat(byte[] formatted)` DOCUMENT ME!
`AuthorizedKeys` | `unformat(byte[] formatted, AuthorizedKeysFileLoader loader)` DOCUMENT ME!

Method Detail

### format

    public byte[] format(AuthorizedKeys keys)
                  throws java.io.IOException,
                         InvalidSshKeyException

  DOCUMENT ME!

  Parameters:
    `keys` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!
    `InvalidSshKeyException` - DOCUMENT ME!

### format

    public byte[] format(AuthorizedKeys keys,
                         AuthorizedKeysFileSaver saver)
                  throws java.io.IOException,
                         InvalidSshKeyException

  DOCUMENT ME!

  Parameters:
    `keys` - DOCUMENT ME!
    `saver` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!
    `InvalidSshKeyException` - DOCUMENT ME!

### unformat

    public AuthorizedKeys unformat(byte[] formatted)
                            throws java.io.IOException,
                                   InvalidSshKeyException

  DOCUMENT ME!

  Parameters:
    `formatted` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!
    `InvalidSshKeyException` - DOCUMENT ME!

### unformat

    public AuthorizedKeys unformat(byte[] formatted,
                                   AuthorizedKeysFileLoader loader)
                            throws java.io.IOException,
                                   InvalidSshKeyException

  DOCUMENT ME!

  Parameters:
    `formatted` - DOCUMENT ME!
    `loader` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!
    `InvalidSshKeyException` - DOCUMENT ME!

### requiresKeyFiles

    public boolean requiresKeyFiles()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD